Magick++: Magick::DrawableText Class Reference

Magick++ 7.1.0

Public Member Functions | List of all members
Magick::DrawableText Class Reference

`#include <Drawable.h>`

Inheritance diagram for Magick::DrawableText:
[legend]
Collaboration diagram for Magick::DrawableText:
[legend]

## Public Member Functions
| DrawableText (const double x_, const double y_, const std::string &text_)
| DrawableText (const double x_, const double y_, const std::string &text_, const std::string &encoding_)
| DrawableText (const DrawableText &original_)
| ~DrawableText (void)
void | operator() (MagickCore::DrawingWand *context_) const
DrawableBase * | copy () const
void | encoding (const std::string &encoding_)
void | x (double x_)
double | x (void) const
void | y (double y_)
double | y (void) const
void | text (const std::string &text_)
std::string | text (void) const
Public Member Functions inherited from Magick::DrawableBase
| DrawableBase (void)
virtual | ~DrawableBase (void)

## Detailed Description

Definition at line 2002 of file Drawable.h.

## Constructor & Destructor Documentation

## ◆ DrawableText() [1/3]

Magick::DrawableText::DrawableText | ( | const double | x_,
|  | const double | y_,
|  | const std::string & | text_
| ) |  |

Definition at line 1440 of file Drawable.cpp.

## ◆ DrawableText() [2/3]

Magick::DrawableText::DrawableText | ( | const double | x_,
|  | const double | y_,
|  | const std::string & | text_,
|  | const std::string & | encoding_
| ) |  |

Definition at line 1448 of file Drawable.cpp.

## ◆ DrawableText() [3/3]

Magick::DrawableText::DrawableText | ( | const DrawableText & | original_ | ) |

Definition at line 1456 of file Drawable.cpp.

## ◆ ~DrawableText()

Magick::DrawableText::~DrawableText | ( | void |  | ) |

Definition at line 1464 of file Drawable.cpp.

## Member Function Documentation

## ◆ copy()

Magick::DrawableBase * Magick::DrawableText::copy | ( |  | ) | const
| virtual

Reimplemented from Magick::DrawableBase.

Definition at line 1474 of file Drawable.cpp.

## ◆ encoding()

void Magick::DrawableText::encoding | ( | const std::string & | encoding_ | ) |
| inline

Definition at line 2020 of file Drawable.h.

## ◆ operator()()

void Magick::DrawableText::operator() | ( | MagickCore::DrawingWand * | context_ | ) | const
| virtual

Reimplemented from Magick::DrawableBase.

Definition at line 1468 of file Drawable.cpp.

## ◆ text() [1/2]

void Magick::DrawableText::text | ( | const std::string & | text_ | ) |
| inline

Definition at line 2043 of file Drawable.h.

## ◆ text() [2/2]

std::string Magick::DrawableText::text | ( | void |  | ) | const
| inline

Definition at line 2047 of file Drawable.h.

## ◆ x() [1/2]

void Magick::DrawableText::x | ( | double | x_ | ) |
| inline

Definition at line 2025 of file Drawable.h.

## ◆ x() [2/2]

double Magick::DrawableText::x | ( | void |  | ) | const
| inline

Definition at line 2029 of file Drawable.h.

## ◆ y() [1/2]

void Magick::DrawableText::y | ( | double | y_ | ) |
| inline

Definition at line 2034 of file Drawable.h.

## ◆ y() [2/2]

double Magick::DrawableText::y | ( | void |  | ) | const
| inline

Definition at line 2038 of file Drawable.h.

The documentation for this class was generated from the following files:

- Drawable.h
- Drawable.cpp